summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Damian Perticone2022-09-02 11:35:50 +0200
committer Willy Sudiarto Raharjo2022-09-03 12:58:45 +0200
commita2dbd274bc2798e243fc79a37daf2967bf4cd080 (patch)
treebb7db1d0ddce2bc53860b4d2b10672eeb981399f /games
parent35912dd6458f33186d97331d92c610947d8f1453 (diff)
downloadslackbuilds-a2dbd274bc2798e243fc79a37daf2967bf4cd080.tar.gz
games/emulationstation-de: Added (Emulator frontend app)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/emulationstation-de/README10
-rw-r--r--games/emulationstation-de/doinst.sh9
-rw-r--r--games/emulationstation-de/emulationstation-de.SlackBuild109
-rw-r--r--games/emulationstation-de/emulationstation-de.info10
-rw-r--r--games/emulationstation-de/slack-desc19
5 files changed, 157 insertions, 0 deletions
diff --git a/games/emulationstation-de/README b/games/emulationstation-de/README
new file mode 100644
index 0000000000..cd4063fe24
--- /dev/null
+++ b/games/emulationstation-de/README
@@ -0,0 +1,10 @@
+EmulationStation Desktop Edition (ES-DE) is a frontend application for
+browsing and launching games from your multi-platform game collection.
+It comes preconfigured for use with RetroArch and a large selection of
+standalone emulators. It's also fully customizable so you can easily
+expand it to include emulators or applications not covered by the
+bundled configuration.
+ES-DE is true multi-platform and runs on numerous operating systems such
+as Windows, macOS, Ubuntu, SteamOS, Arch Linux, Raspberry Pi OS,
+Manjaro, Linux Mint, Fedora and FreeBSD.
+EmulationStation needs RetroArch.
diff --git a/games/emulationstation-de/doinst.sh b/games/emulationstation-de/doinst.sh
new file mode 100644
index 0000000000..afea6d71dc
--- /dev/null
+++ b/games/emulationstation-de/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/emulationstation-de/emulationstation-de.SlackBuild b/games/emulationstation-de/emulationstation-de.SlackBuild
new file mode 100644
index 0000000000..37122a9002
--- /dev/null
+++ b/games/emulationstation-de/emulationstation-de.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/bash
+
+# Slackware build script for emulationstation-de
+
+# Copyright 2022 Damian Perticone, Berisso, Argentina
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=emulationstation-de
+VERSION=${VERSION:-v1.2.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+mkdir -p $PKG/usr/man
+cp -a $PKG/usr/share/man $PKG/usr/
+rm -r $PKG/usr/share/man
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md USERGUIDE.md THEMES.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/emulationstation-de/emulationstation-de.info b/games/emulationstation-de/emulationstation-de.info
new file mode 100644
index 0000000000..1ac3b143df
--- /dev/null
+++ b/games/emulationstation-de/emulationstation-de.info
@@ -0,0 +1,10 @@
+PRGNAM="emulationstation-de"
+VERSION="v1.2.6"
+HOMEPAGE="https://www.es-de.org/"
+DOWNLOAD="https://gitlab.com/es-de/emulationstation-de/-/archive/v1.2.6/emulationstation-de-v1.2.6.tar.gz"
+MD5SUM="a06b0f6c3a5fc78354d792040508a79d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="FreeImage pugixml"
+MAINTAINER="Damian Perticone"
+EMAIL="mjolnirdam@gmail.com"
diff --git a/games/emulationstation-de/slack-desc b/games/emulationstation-de/slack-desc
new file mode 100644
index 0000000000..0221722570
--- /dev/null
+++ b/games/emulationstation-de/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+emulationstation-de: emulationstation-de (Emulator frontend app)
+emulationstation-de:
+emulationstation-de: Emulationstation-de is a is a frontend application for browsing and
+emulationstation-de: launching games from your multi-platform game collection.
+emulationstation-de: It comes preconfigured for use with RetroArch and a large selection of
+emulationstation-de: standalone emulators.
+emulationstation-de:
+emulationstation-de:
+emulationstation-de:
+emulationstation-de: Home: https://www.es-de.org/
+emulationstation-de: